/*
 * $RCSfile: bit_twiddle.c,v $
 *
 * Universal Stub Compiler
 *
 * Copyright (c) 1994    Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1994/10/13 17:43:30 $
 */

/*
 * basic bit handling routines
 */

#include "usc.h"
#include "bit_twiddle.h"


int num_set_bits (unsigned long value)
{
  int count;

  for (count = 0; value; count++)
    value &= (value - 1);
  return count;
}

int which_bit_set (unsigned long value)
{
  int count;

  for (count = 0; !(value & 1) && count < sizeof (unsigned long) * 8; 
       count++, value >>= 1);
  return count;
}
